Debian Bug report logs - #675974
ruby-cairo: FTBFS: `===': invalid byte sequence in US-ASCII (ArgumentError)

version graph

Package: src:gem2deb; Maintainer for src:gem2deb is Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>;

Reported by: Christoph Egger <christoph@debian.org>

Date: Mon, 4 Jun 2012 17:12:02 UTC

Severity: critical

Tags: sid, wheezy

Found in version gem2deb/0.2.14

Fixed in version gem2deb/0.2.15

Done: Lucas Nussbaum <lucas@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>:
Bug#675974; Package src:ruby-cairo. (Mon, 04 Jun 2012 17:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>. (Mon, 04 Jun 2012 17:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: ruby-cairo: FTBFS: `===': invalid byte sequence in US-ASCII (ArgumentError)
Date: Mon, 04 Jun 2012 19:09:52 +0200
Package: src:ruby-cairo
Version: 1.12.2-1
Severity: serious
Tags: sid wheezy
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the buildds:

   dh_auto_install -a -O--buildsystem=ruby
/usr/lib/ruby/1.9.1/rubygems/psych_tree.rb:31: warning: method redefined; discarding old visit_String
/usr/lib/ruby/1.9.1/rubygems/psych_tree.rb:4: warning: previous definition of visit_String was here
/usr/lib/ruby/1.9.1/rubygems/psych_tree.rb:39: warning: method redefined; discarding old register
/usr/lib/ruby/1.9.1/rubygems/psych_tree.rb:12: warning: previous definition of register was here
/usr/lib/ruby/1.9.1/rubygems/psych_tree.rb:43: warning: method redefined; discarding old format_time
/usr/lib/ruby/1.9.1/rubygems/psych_tree.rb:16: warning: previous definition of format_time was here
/usr/lib/ruby/1.9.1/rubygems/syck_hack.rb:115: warning: method redefined; discarding old to_s
/usr/lib/ruby/1.9.1/rubygems/syck_hack.rb:44: warning: previous definition of to_s was here
/usr/lib/ruby/vendor_ruby/gem2deb/dh_ruby.rb:381:in `===': invalid byte sequence in US-ASCII (ArgumentError)
	from /usr/lib/ruby/vendor_ruby/gem2deb/dh_ruby.rb:381:in `each'
	from /usr/lib/ruby/vendor_ruby/gem2deb/dh_ruby.rb:381:in `grep'
	from /usr/lib/ruby/vendor_ruby/gem2deb/dh_ruby.rb:381:in `ruby_versions'
	from /usr/lib/ruby/vendor_ruby/gem2deb/dh_ruby.rb:392:in `all_ruby_versions_supported?'
	from /usr/lib/ruby/vendor_ruby/gem2deb/dh_ruby.rb:84:in `install'
	from /usr/bin/dh_ruby:63:in `block (2 levels) in <main>'
	from /usr/lib/ruby/1.9.1/optparse.rb:1360:in `call'
	from /usr/lib/ruby/1.9.1/optparse.rb:1360:in `block in parse_in_order'
	from /usr/lib/ruby/1.9.1/optparse.rb:1347:in `catch'
	from /usr/lib/ruby/1.9.1/optparse.rb:1347:in `parse_in_order'
	from /usr/lib/ruby/1.9.1/optparse.rb:1341:in `order!'
	from /usr/lib/ruby/1.9.1/optparse.rb:1432:in `permute!'
	from /usr/lib/ruby/1.9.1/optparse.rb:1453:in `parse!'
	from /usr/bin/dh_ruby:67:in `<main>'
  Entering dh_ruby --install
dh_auto_install: dh_ruby --install /build/buildd-ruby-cairo_1.12.2-1-i386-9trqlg/ruby-cairo-1.12.2/debian/tmp returned exit code 1
make: *** [binary-arch] Error 1

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=ruby-cairo&arch=i386&ver=1.12.2-1&stamp=1338817699

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>:
Bug#675974; Package src:ruby-cairo. (Mon, 04 Jun 2012 19:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>. (Mon, 04 Jun 2012 19:51:06 GMT) Full text and rfc822 format available.

Message #10 received at 675974@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 675974@bugs.debian.org
Cc: debian-ruby@lists.debian.org
Subject: Bug#675974: gem2deb: rdepends FTBFS: `===': invalid byte sequence in US-ASCII (ArgumentError)
Date: Mon, 04 Jun 2012 20:50:01 +0100
reassign 675974 src:gem2deb
found 675974 gem2deb/0.2.14
affects 675974 ruby-cairo
severity 675974 critical
# Justification: breaks unrelated software
thanks

Hi,

> /usr/lib/ruby/vendor_ruby/gem2deb/dh_ruby.rb:381:in `===': invalid byte sequence in US-ASCII (ArgumentError)

gem2deb chokes on UTF-8 in debian/control files because it is opening
them as US-ASCII.

Seems it needs porting for ruby1.9?

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Bug reassigned from package 'src:ruby-cairo' to 'src:gem2deb'. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Mon, 04 Jun 2012 19:51:10 GMT) Full text and rfc822 format available.

No longer marked as found in versions ruby-cairo/1.12.2-1. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Mon, 04 Jun 2012 19:51:10 GMT) Full text and rfc822 format available.

Marked as found in versions gem2deb/0.2.14. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Mon, 04 Jun 2012 19:51:11 GMT) Full text and rfc822 format available.

Added indication that 675974 affects ruby-cairo Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Mon, 04 Jun 2012 19:51:12 GMT) Full text and rfc822 format available.

Severity set to 'critical' from 'serious' Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Mon, 04 Jun 2012 19:51:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>:
Bug#675974; Package src:gem2deb. (Mon, 04 Jun 2012 21:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>. (Mon, 04 Jun 2012 21:21:03 GMT) Full text and rfc822 format available.

Message #25 received at 675974@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: 675974@bugs.debian.org, debian-ruby@lists.debian.org
Subject: Re: Bug#675974: gem2deb: rdepends FTBFS: `===': invalid byte sequence in US-ASCII (ArgumentError)
Date: Mon, 4 Jun 2012 23:18:08 +0200
On 04/06/12 at 20:50 +0100, Steven Chamberlain wrote:
> reassign 675974 src:gem2deb
> found 675974 gem2deb/0.2.14
> affects 675974 ruby-cairo
> severity 675974 critical
> # Justification: breaks unrelated software
> thanks
> 
> Hi,
> 
> > /usr/lib/ruby/vendor_ruby/gem2deb/dh_ruby.rb:381:in `===': invalid byte sequence in US-ASCII (ArgumentError)
> 
> gem2deb chokes on UTF-8 in debian/control files because it is opening
> them as US-ASCII.
> 
> Seems it needs porting for ruby1.9?

Hi,

I've just committed a fix, and will upload shortly. However, Antonio,
please review my fix and make necessary changes in a future upload.

  Lucas




Reply sent to Lucas Nussbaum <lucas@debian.org>:
You have taken responsibility. (Mon, 04 Jun 2012 21:39:06 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Mon, 04 Jun 2012 21:39:06 GMT) Full text and rfc822 format available.

Message #30 received at 675974-close@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 675974-close@bugs.debian.org
Subject: Bug#675974: fixed in gem2deb 0.2.15
Date: Mon, 04 Jun 2012 21:38:06 +0000
Source: gem2deb
Source-Version: 0.2.15

We believe that the bug you reported is fixed in the latest version of
gem2deb, which is due to be installed in the Debian FTP archive:

gem2deb_0.2.15.dsc
  to main/g/gem2deb/gem2deb_0.2.15.dsc
gem2deb_0.2.15.tar.gz
  to main/g/gem2deb/gem2deb_0.2.15.tar.gz
gem2deb_0.2.15_all.deb
  to main/g/gem2deb/gem2deb_0.2.15_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 675974@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Lucas Nussbaum <lucas@debian.org> (supplier of updated gem2deb package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 04 Jun 2012 23:06:19 +0200
Source: gem2deb
Binary: gem2deb
Architecture: source all
Version: 0.2.15
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Lucas Nussbaum <lucas@debian.org>
Description: 
 gem2deb    - Debian Ruby packaging suite
Closes: 675974
Changes: 
 gem2deb (0.2.15) unstable; urgency=low
 .
   * dh_ruby: read debian/control as UTF-8, not ASCII. Closes: #675974
Checksums-Sha1: 
 cc840d48c73f1f8433ecb27a4fa70928c229697a 1929 gem2deb_0.2.15.dsc
 37da41cbc383d311602e5074efdeacb8d592b010 51788 gem2deb_0.2.15.tar.gz
 e39f233a2f53b72dc819cea6bdf62c256b15dfe4 44452 gem2deb_0.2.15_all.deb
Checksums-Sha256: 
 525d0906801767e0f358b187bd6664f10f0e3153343e32baaceda9630b1892a8 1929 gem2deb_0.2.15.dsc
 9b5b17bf7a95750c2db98d0e45e9d33cca00df5529eecf12c777468db928adc0 51788 gem2deb_0.2.15.tar.gz
 610699d8065c5bea346ec766bf447662e6327fd8ff076a6621288465c1e6ecc0 44452 gem2deb_0.2.15_all.deb
Files: 
 04bdf105ab7cfe0a0a3139af91fcd236 1929 ruby optional gem2deb_0.2.15.dsc
 c224471a69b8fdec347ea5286fe77b78 51788 ruby optional gem2deb_0.2.15.tar.gz
 d3208b3c193bfd2e3c955dd4d172d5c3 44452 ruby optional gem2deb_0.2.15_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBT80m4DkUtTL0376ZAQpzgw/9GcgXp4DTiORe9HtE1SQcXkU37ofqVVI4
GYe63doLIHKsMoXza8FlbAwBvf3xnHGZPr6InuSZV0aWKryZLgzv6bfRh2hORZJ3
/kYKaHBtkwcM7Mi+umLtjT4T6EuBvLWfKpCpljBzOo0YS6hyNZU6ByHuNjF9BeiV
9pyTsrWLtBlO1ae2wV9O5b1EuE354CSIxoMYOWA5qbKXPRLuw1EOUkKQ3my1Gfsf
NQHGF7rE3neseRzorBZQrHMGtLnMnj4haedCrLwLd+ooRyjvvVnRWWbb3RkVasHA
cgjgLOsRgRvUr28qPHDmKODBPHRGun0sv1YXJyMp6FtkTA5C2HuadwvDIcjWuiNz
yGMWLadpPU1/LFDAfoebOCd6go4lODGEzWcMUpkvIytWLnzA/liU8sliLH8MG90X
W9oo6+Ter3dCqp6R692Icp7Av4aWUt3iGEyGnZ8Mq++vkw8ks6cUycIN36oxSqwy
AYKDtqJ/HGEjVQpdKeT/n/x+z7NtInQjtICUI0Z2CN7oDxYixNEUmMgV8OpO7Vfg
B/GlmxIWGUZV5olvEdg2EIbcKGfCs4L0yEkqAmVcek0amQh5EPfpyKwhG19dfmoM
HsfPPrSD9o70BXnj9Bcm6jiToWNWB4zC8slt+P7BqfLfppG1rxxxYBh32uYNu3Vu
FykTbUQmujQ=
=U/+C
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 31 Jul 2012 07:31:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 06:51:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.